commit:     e81de5b8bdbdf303ce670b754a46520e7d293199
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  1 08:20:56 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb  1 08:50:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e81de5b8

dev-python/cmd2: Bump to 1.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cmd2/Manifest          |  1 +
 dev-python/cmd2/cmd2-1.5.0.ebuild | 50 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index f5be7949696..479b36671f1 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1 +1,2 @@
 DIST cmd2-1.4.0.tar.gz 660494 BLAKE2B 
1a7d5efef704cf3011affa99303233ad9d16e09d16bbe9319324599e6d69b1a664556e9ed406f2a34bfc6021a6d1607a44fd4df9cedbd6688826e0bfe8d91b77
 SHA512 
1f35e9773578a1d2ea1255cd697754b126c1e90486e84319c0f86ee409ed22bfbc267ff1d3b9af1072985337c9cbc51eac4e288281146d9c20b54c8b364f1547
+DIST cmd2-1.5.0.tar.gz 662624 BLAKE2B 
ed46c4e70f1e09c612f66333bb601afab0158a899badd2b86ce193f7384c35d32c58d0a1238d5fc2b69adc11a233fba2089b0f4433c7b6159aeb347150128fb2
 SHA512 
ea7e26370e1f83dc95bd0db8a705ab8ea95935584123f4684e3b8debf23a37fbcadf2bc1634051eaddcaba92f2b22a0ab2582773630fab3d1482b4dc8a23acd6

diff --git a/dev-python/cmd2/cmd2-1.5.0.ebuild 
b/dev-python/cmd2/cmd2-1.5.0.ebuild
new file mode 100644
index 00000000000..d098041609c
--- /dev/null
+++ b/dev-python/cmd2/cmd2-1.5.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="https://github.com/python-cmd2/cmd2";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-python/attrs[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+       >=dev-python/pyperclip-1.6[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/importlib_metadata-1.6.0[${PYTHON_USEDEP}]
+       ' python3_{6,7})
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures.  to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel) + which(1).
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               sys-apps/which
+               || (
+                       x11-misc/xclip
+                       x11-misc/xsel
+               )
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       # tests rely on very specific text wrapping...
+       local -x COLUMNS=80
+       virtx distutils-r1_src_test
+}

Reply via email to